Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.ioc.internal.services
Class SymbolSourceImpl

    java.lang.Object
      org.apache.tapestry5.ioc.internal.services.SymbolSourceImpl

All Implemented Interfaces:
  SymbolSource

    public class SymbolSourceImpl

extends java.lang.Object
implements SymbolSource

Constructor Summary
`SymbolSourceImpl(java.util.List<SymbolProvider> providers)`

Method Summary
`java.lang.String` | `expandSymbols(java.lang.String input)` Given an input string that may contain symbols, returns the string with any and all symbols fully expanded.
`java.lang.String` | `valueForSymbol(java.lang.String symbolName)` Expands the value for a particular symbol.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SymbolSourceImpl

    public SymbolSourceImpl(java.util.List<SymbolProvider> providers)

Method Detail

### expandSymbols

    public java.lang.String expandSymbols(java.lang.String input)

  Description copied from interface: `SymbolSource`
  Given an input string that may contain symbols, returns the string with any and all symbols fully expanded.

  Specified by:
    `expandSymbols` in interface `SymbolSource`
  Returns:
    expanded input

### valueForSymbol

    public java.lang.String valueForSymbol(java.lang.String symbolName)

  Description copied from interface: `SymbolSource`
  Expands the value for a particular symbol. This may involve recursive expansion, if the immediate value for the symbol itself contains symbols.

  Specified by:
    `valueForSymbol` in interface `SymbolSource`
  Returns:
    the expanded string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.